#ifndef GAME_H
#define GAME_H

#include "player.h"

class Game
{
   public:
      Game(Player* x, Player* o);
      ~Game();

      virtual void play();

   protected:
      void init();
      string constructState(int turn);
      virtual void applyAction(string action, int turn);

      bool checkDone(int & winner);

      void print();

   protected:
      Player* x;
      Player* o;

      int state[3][3];  ///< 0 = free,1 = x, 2 = o
};

#endif

