#ifndef RANDOM_PLAYER_H
#define RANDOM_PLAYER_H

#include "player.h"

class RandomPlayer : public Player
{
   public:
      RandomPlayer();
      ~RandomPlayer();

      string sense(string state, double reward);
      void terminate(string state, double reward, bool writeLearningData = false);
  private:
      bool isOpponentThreaten(string state, string & ret, bool checkX = false);
      bool isNearSuccess(string state, string & ret);
      void generateNextRandomStep(string state, string &ret);
      bool isThreaten(string state, int num1, int num2, int num3, string &ret, bool checkX);
      void generateRetStr(int num1, string &ret);
};

#endif

